{
    num: -32016,
    accuracy: 100,
    basePower: 0,
    category: "Status",
    name: "Corruption",
    pp: 20,
    priority: 0,
    flags: { protect: 1, reflectable: 1, mirror: 1, allyanim: 1, metronome: 1 },
    onHit(target) {
      if (target.getTypes().join() === "Dark" || !target.setType("Dark")) {
        this.add("-fail", target);
        return null;
      }
      this.add("-start", target, "typechange", "Dark");
    },
    secondary: null,
    target: "normal",
    type: "Dark",
    zMove: { boost: { spa: 1 } },
    contestType: "Clever"
}